Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.0
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.reflection
Class CachedMethod

    java.lang.Object
      org.codehaus.groovy.reflection.ParameterTypes
          groovy.lang.MetaMethod
              org.codehaus.groovy.reflection.CachedMethod

All Implemented Interfaces:
  Comparable

    class CachedMethod
    extends MetaMethod

author:
  Alex.Tkachman

Nested Class Summary
`class` | `CachedMethod.MyComparator`

Field Summary
`CachedClass` | `cachedClass`

Fields inherited from class ParameterTypes
isVargsMethod, nativeParamTypes, parameterTypes

Constructor Summary
`CachedMethod(CachedClass clazz, Method method)`
`CachedMethod(Method method)`

Method Summary
`int` | `compareTo(Object o)`
`CallSite` | `createPogoMetaMethodSite(CallSite site, MetaClassImpl metaClass, Class[] params)`
`CallSite` | `createPojoMetaMethodSite(CallSite site, MetaClassImpl metaClass, Class[] params)`
`CallSite` | `createStaticMetaMethodSite(CallSite site, MetaClassImpl metaClass, Class[] params)`
`boolean` | `equals(Object o)`
`static CachedMethod` | `find(Method method)`
`Method` | `getCachedMethod()`
`CachedClass` | `getDeclaringClass()`
`String` | `getDescriptor()`
`int` | `getModifiers()`
`String` | `getName()`
`protected Class[]` | `getPT()`
`ParameterTypes` | `getParamTypes()`
`int` | `getParamsCount()`
`Class` | `getReturnType()`
`String` | `getSignature()`
`boolean` | `hasPogoCallSiteConstructor()`
`boolean` | `hasPojoCallSiteConstructor()`
`boolean` | `hasStaticCallSiteConstructor()`
`int` | `hashCode()`
`Object` | `invoke(Object object, Object[] arguments)`
`boolean` | `isStatic()`
`Method` | `setAccessible()`
`String` | `toString()`

Methods inherited from class MetaMethod
checkParameters, clone, doMethodInvoke, equal, equal, getDeclaringClass, getDescriptor, getModifiers, getMopName, getName, getReturnType, getSignature, invoke, isAbstract, isCacheable, isMethod, isPrivate, isProtected, isPublic, isSame, isStatic, processDoMethodInvokeException, toString

Methods inherited from class ParameterTypes
coerceArgumentsToClasses, correctArguments, getNativeParameterTypes, getPT, getParameterTypes, isValidExactMethod, isValidExactMethod, isValidMethod, isValidMethod, isVargsMethod, setParametersTypes

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Field Detail

### cachedClass

    final CachedClass cachedClass

Constructor Detail

### CachedMethod

    public CachedMethod(CachedClass clazz, Method method)

### CachedMethod

    public CachedMethod(Method method)

Method Detail

### compareTo

    public int compareTo(Object o)

### createPogoMetaMethodSite

    public CallSite createPogoMetaMethodSite(CallSite site, MetaClassImpl metaClass, Class[] params)

### createPojoMetaMethodSite

    public CallSite createPojoMetaMethodSite(CallSite site, MetaClassImpl metaClass, Class[] params)

### createStaticMetaMethodSite

    public CallSite createStaticMetaMethodSite(CallSite site, MetaClassImpl metaClass, Class[] params)

### equals

    public boolean equals(Object o)

### find

    public static CachedMethod find(Method method)

### getCachedMethod

    public Method getCachedMethod()

### getDeclaringClass

    public CachedClass getDeclaringClass()

### getDescriptor

    public String getDescriptor()

### getModifiers

    public int getModifiers()

### getName

    public String getName()

### getPT

    protected Class[] getPT()

### getParamTypes

    public ParameterTypes getParamTypes()

### getParamsCount

    public int getParamsCount()

### getReturnType

    public Class getReturnType()

### getSignature

    public String getSignature()

### hasPogoCallSiteConstructor

    public boolean hasPogoCallSiteConstructor()

### hasPojoCallSiteConstructor

    public boolean hasPojoCallSiteConstructor()

### hasStaticCallSiteConstructor

    public boolean hasStaticCallSiteConstructor()

### hashCode

    public int hashCode()

### invoke

    public final Object invoke(Object object, Object[] arguments)

### isStatic

    public boolean isStatic()

### setAccessible

    public final Method setAccessible()

### toString

    public String toString()

Copyright © 2003-2009 The Codehaus. All rights reserved.